Subject: Re: [PATCH v2] read-cache: avoid misaligned reads in index v4

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Sep 2022 10:34:32 -0700

"Victoria Dye via GitGitGadget" <[email-masked]> writes:

> +	/*
> +	 * NEEDSWORK: using 'offsetof()' is cumbersome and should be replaced
> +	 * with something more akin to 'load_bitmap_entries_v1()'s use of
> +	 * 'read_be16'/'read_be32'. For consistency with the corresponding
> +	 * ondisk entry write function ('copy_cache_entry_to_ondisk()'), this
> +	 * should be done at the same time as removing references to
> +	 * 'ondisk_cache_entry' there.
> +	 */

Sounds sensible.  Will replace and merge down to 'next'--- it will
most likely be part of the first batch in the next cycle.

Thanks, all.